Skip to main content
GET
Query channel

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

keyword
string
Maximum string length: 100
isDeleted
boolean

isDeleted:

  • null(default) - Show both channel is actived and channel is inactived.
  • true - Show channel is inactived only.
  • false - Show channel is actived only.
tags
string[]

Used for querying channels by matching all specified tags. When a query includes multiple tags (e.g., tags=['tag1', 'tag2', 'tag3']), the system will return all channels that have all the specified tags.

Maximum array length: 10
Maximum string length: 100
excludeTags
string[]

Used for querying channels by excluding all specified tags. When a query includes multiple tags (e.g., excludeTags=['tag1', 'tag2', 'tag3']), the system will return all channels that do not have any of the specified tags.

Maximum array length: 10
Maximum string length: 100
excludeArchives
boolean
default:false

excludeArchives:

  • false(default) - Show all channels.
  • true - Show channels that are not archived only.
filter
enum<string>
default:all
Available options:
all,
member,
notMember,
flagged
types
enum<string>[]
Maximum array length: 10
Available options:
standard,
private,
conversation,
broadcast,
live,
community
userId
string
Maximum string length: 100
sortBy
enum<string>
default:lastActivity
Available options:
lastActivity,
lastCreated,
firstCreated,
displayName
options
object

Response

Channels Information

channels
object[]
channelUsers
object[]
messagePreviews
object[]

Depends on messagePreviewId. if null will be empty array.

messageFeedsInfo
object[]

Depends on messagePreviews. if empty array will be empty array.

users
object[]
files
object[]
paging
object